Package com.pixelmed.web

# Class WebRequest

java.lang.Object
com.pixelmed.web.WebRequest

Direct Known Subclasses:
  `WadoRequest`

public class WebRequest extends Object

The `WebRequest` class parses a URL that contains a `requestType` parameter and additional query parameters.

This form is used both by WADO and the IHE RID profile transactions.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`host`
`protected Map`
`parameters`
`protected String`
`path`
`protected int`
`port`
`protected String`
`requestType`
`protected String`
`scheme`
`protected String`
`userInfo`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WebRequest()`
``
`WebRequest(String uriString)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHost()`
`Map`
`getParameters()`
`String`
`getPath()`
`int`
`getPort()`
`String`
`getRequestType()`
`String`
`getScheme()`
`String`
`getUserInfo()`
`static Map`
`parseQueryIntoParameters(String query)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### scheme

protected String scheme

### userInfo

protected String userInfo

### host

protected String host

### port

protected int port

### path

protected String path

### requestType

protected String requestType

### parameters

protected Map parameters

## Constructor Details

### WebRequest

public WebRequest(String uriString) throws Exception

Throws:
  `Exception`

### WebRequest

protected WebRequest()

## Method Details

### getScheme

public String getScheme()

### getUserInfo

public String getUserInfo()

### getHost

public String getHost()

### getPort

public int getPort()

### getPath

public String getPath()

### getRequestType

public String getRequestType()

### getParameters

public Map getParameters()

### parseQueryIntoParameters

public static Map parseQueryIntoParameters(String query) throws Exception

Throws:
  `Exception`